%global momorel 1
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdebaserel 1m
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 54042121de0d2dbdba33befce64b68bb

Summary: Makes KDE kicker Pager applet work with compiz
Name: kicker-compiz
Version: 3.5.4
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kde-apps.org/content/show.php?content=46021
Group: User Interface/Desktops
%NoSource 0 http://kde-apps.org/CONTENT/content-files/46021-%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: libXcomposite-devel
BuildPreReq: libtool

%description
This is a modified pager applet for kicker to make it
work with compiz. More generally, it is intended to
work with window managers that use the concept of
"large desktops" instead of "multiple virtual desktops"
as kwin does exclusively.
Once it is installed, use the kicker dialog to add a new applet,
and the pager will appear in the list (Right-click on kicker, 
then "add an applet to the panel" -> "Pager - Compiz")

%prep
%setup -q

%patch0 -p1 -b .desktop~

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL README
%{_libdir}/kde3/compizpager_panelapplet.la
%{_libdir}/kde3/compizpager_panelapplet.so
%{_datadir}/apps/kicker/applets/compizpagerapplet.desktop

%changelog
* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- initial package for Momonga Linux
